Index: zaptel.init
===================================================================
--- zaptel.init	(revision 2130)
+++ zaptel.init	(working copy)
@@ -10,6 +10,8 @@
 
 initdir=/etc/init.d
 
+ZTCFG=/sbin/ztcfg
+
 #
 # Determine which kind of configuration we're using
 #
@@ -46,7 +48,7 @@
 # Check that telephony is up.
 [ "${TELEPHONY}" = "yes" ] || exit 0
 
-[ -f /sbin/ztcfg ] || exit 0
+[ -x "$ZTCFG" ] || exit 0
 
 [ -f /etc/zaptel.conf ] || exit 0
 
@@ -95,10 +97,10 @@
 	fi
 	if [ $system = debian ]; then
 	    echo -n "Running ztcfg: " 
-	    /sbin/ztcfg >& /dev/null && echo -n "done"
+	    $ZTCFG >& /dev/null && echo -n "done"
 	    echo "."
 	elif [ $system = redhat ]; then
-	    action "Running ztcfg: " /sbin/ztcfg
+	    action "Running ztcfg: " $ZTCFG
 	fi
 	RETVAL=$?
 
@@ -106,6 +108,8 @@
 	;;
   stop)
 	# Unload drivers
+	$ZTCFG -s
+	
 	echo -n "Unloading zaptel hardware drivers:"
 	for x in $RMODULES; do 
 		if rmmod ${x} >& /dev/null; then
@@ -132,10 +136,10 @@
   reload)
 	if [ $system = debian ]; then
 	    echo -n "Reloading ztcfg: "
-	    /sbin/ztcfg >& /dev/null && echo -n "done"
+	    $ZTCFG >& /dev/null && echo -n "done"
 	    echo "."
 	elif [ $system = redhat ]; then
-	    action "Reloading ztcfg: " /sbin/ztcfg
+	    action "Reloading ztcfg: " $ZTCFG
 	fi
 	RETVAL=$?
 	;;
